/** 
 * @file W32_TCP.h
 * @brief Win32 TCP/IP communication Header File 
 * 
 * @author Katayama
 * @date 2013-06-26
 * @version ver 1.00 2013/06/26 katayama
 * @version ver 1.01 2013/08/19 katayama
 * @version ver 1.02 2015/05/14 katayama
 *
 * Copyright (C) 2014 TPIP User Community All rights reserved.
 * ̃t@C̒쌠́ATPIP[U[R~jeB̋Kɏ]
 * gp܂B
 */
#ifndef _W23_TCP_H
#define _W23_TCP_H
#include <winsock2.h>

extern SOCKET init_w32tcp_s( int Port_no );
extern SOCKET init_w32tcp_c( char* host_adr,int Port_no );
extern void close_w32tcp(SOCKET sock);
extern int  put_w32tcp(SOCKET sock, char* send_buf, unsigned int send_size) ;
extern int  get_w32tcp(SOCKET sock, char* rcv_buf ,unsigned int r_cnt, int wait_timer);

#endif /* ifndef _W23_TCP_H */
