/** 
 * @file rShare.h
 * @brief remote Shared Memory client header file 
 * 
 * @author Katayama
 * @date 2015-05-22
 * @version ver 1.00 2015/05/22 katayama
 *
 * Copyright (C) 2015 TPIP User Community All rights reserved.
 * ̃t@C̒쌠́ATPIP[U[R~jeB̋Kɏ]
 * gp܂B
 */
#ifndef  ___RSHARE_H___
#define  ___RSHARE_H___

extern int rSHA_init(char* host_ip, int port_no);
extern int rSHA_close(void);
extern int rSHA_send(char* buf, int data_size);
extern int rSHA_recv(char* buf, int buf_size);

#endif  // #ifndef  ___RSHARE_H___
